import request from '@/utils/request'

// 查询市场主体数据导入记录列表
export function listDMarketsubDataInfoPreImp(query) {
  return request({
    url: '/dimp/dMarketsubDataInfoPreImp/list',
    method: 'get',
    params: query
  })
}


export function importTemplate() {
  return request({
    url: '/dimp/dMarketsubDataInfoPreImp/importTemplate',
    method: 'get'
  })
}

// 查询市场主体数据导入记录详细
export function getDMarketsubDataInfoPreImp(id) {
  return request({
    url: '/dimp/dMarketsubDataInfoPreImp/' + id,
    method: 'get'
  })
}

// 新增市场主体数据导入记录
export function addDMarketsubDataInfoPreImp(data) {
  return request({
    url: '/dimp/dMarketsubDataInfoPreImp',
    method: 'post',
    data: data
  })
}

// 修改市场主体数据导入记录
export function updateDMarketsubDataInfoPreImp(data) {
  return request({
    url: '/dimp/dMarketsubDataInfoPreImp',
    method: 'put',
    data: data
  })
}

// 删除市场主体数据导入记录
export function delDMarketsubDataInfoPreImp(id) {
  return request({
    url: '/dimp/dMarketsubDataInfoPreImp/' + id,
    method: 'delete'
  })
}
